Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708686 - net-libs/libgadu-1.12.2-r1 : fails to build with -fno-common or gcc-10
Summary: net-libs/libgadu-1.12.2-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maciej Mrozowski
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-08 08:14 UTC by Toralf Förster
Modified: 2020-02-09 02:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.33 KB, text/plain)
2020-02-08 08:14 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,166.24 KB, text/plain)
2020-02-08 08:14 UTC, Toralf Förster
Details
environment (environment,62.81 KB, text/plain)
2020-02-08 08:14 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.96 KB, application/x-bzip)
2020-02-08 08:14 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,27.91 KB, application/x-bzip)
2020-02-08 08:14 UTC, Toralf Förster
Details
net-libs:libgadu-1.12.2-r1:20200207-232802.log (net-libs:libgadu-1.12.2-r1:20200207-232802.log,74.49 KB, text/plain)
2020-02-08 08:14 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.88 KB, application/x-bzip)
2020-02-08 08:14 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-08 08:14:34 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include  -DGG_IGNORE_DEPRECATED -I../../include   -O2 -pipe -march=native -fno-common -Wall -Wextra -Wmissing-prototypes 		-Wno-unused-parameter -Waggregate-return 		-Wdeclaration-after-statement -Wundef -Wcast-align 		-Wpointer-arith  -c -o client.o client.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../.. -I../../include  -DGG_IGNORE_DEPRECATED -I../../include   -O2 -pipe -march=native -fno-common -Wall -Wextra -Wmissing-prototypes 		-Wno-unused-parameter -Waggregate-return 		-Wdeclaration-after-statement -Wundef -Wcast-align 		-Wpointer-arith  -c -o userconfig.o userconfig.c
/bin/sh ../../libtool  --tag=CC   --mode=link x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -Wall -Wextra -Wmissing-prototypes 		-Wno-unused-parameter -Waggregate-return 		-Wdeclaration-after-statement -Wundef -Wcast-align 		-Wpointer-arith  -no-install -Wl,-O1 -Wl,--as-needed -o client client.o userconfig.o ../../src/libgadu.la -lgnutls   -lz -lprotobuf-c 
libtool: link: x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -Wall -Wextra -Wmissing-prototypes -Wno-unused-parameter -Waggregate-return -Wdeclaration-after-statement -Wundef -Wcast-align -Wpointer-arith -Wl,-O1 -o client client.o userconfig.o  -Wl,--as-needed ../../src/.libs/libgadu.so -lgnutls -lz //usr/lib64/libprotobuf-c.so -Wl,-rpath -Wl,/var/tmp/portage/net-libs/libgadu-1.12.2-r1/work/libgadu-1.12.2/src/.libs -Wl,-rpath -Wl,//usr/lib64
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: userconfig.o:(.data+0x0): multiple definition of `config_ip'; client.o:(.bss+0x20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: userconfig.o:(.bss+0x0): multiple definition of `config_proxy'; client.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-test-20200203-215003

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)

Available Rust versions:
  [1]   rust-1.41.0 *


ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 07 Feb 2020 22:47:13 +0000

emerge -qpvO net-libs/libgadu
[ebuild  N    ] net-libs/libgadu-1.12.2-r1  USE="ssl test -doc -threads"
Comment 1 Toralf Förster gentoo-dev 2020-02-08 08:14:38 UTC
Created attachment 612636 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-08 08:14:41 UTC
Created attachment 612638 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-08 08:14:43 UTC
Created attachment 612640 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-08 08:14:47 UTC
Created attachment 612642 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-08 08:14:50 UTC
Created attachment 612644 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-08 08:14:53 UTC
Created attachment 612646 [details]
net-libs:libgadu-1.12.2-r1:20200207-232802.log
Comment 7 Toralf Förster gentoo-dev 2020-02-08 08:14:56 UTC
Created attachment 612648 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-02-09 02:28:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c399566a3b87b5e8cb2341e3d3c0c0368ce01f13

commit c399566a3b87b5e8cb2341e3d3c0c0368ce01f13
Author:     Maciej Mrozowski <reavertm@gentoo.org>
AuthorDate: 2020-02-09 02:25:58 +0000
Commit:     Maciej Mrozowski <reavertm@gentoo.org>
CommitDate: 2020-02-09 02:28:23 +0000

    net-libs/libgadu: Fix building with -fno-common
    
    Closes: https://bugs.gentoo.org/708686
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Maciej Mrozowski <reavertm@gentoo.org>

 .../libgadu/files/libgadu-1.12.2-fno-common.patch  | 30 ++++++++++++++++++++++
 net-libs/libgadu/libgadu-1.12.2-r1.ebuild          |  4 +++
 2 files changed, 34 insertions(+)